# Review helyileg

Mivel vakon elég ergya kezelni a diff view-es pull request-et, célszerűbb helyi CMD-ből analizálni a változásokat.

Ehhez a git diff parancsa használható, valahogy így:
`git diff branch1 branch2`
> Mindig az első helyen van a kiinduló brandch, másodikon meg az eltérő. Ez azért fontos, hogy így legyen, mert így az új sorok lesznek +-osak, míg, ha megfordul, akkor a meglévő kód lesz +-os, ami nem célszerű.
Tehát például `git diff main feature/pullpull`.

# Ha a pr nem egy másik branch-ről érkezett
Meg kell nézni, honnan jött és azt kell hozzáadni, mint remote, valahogy így:
`git remote add my_review ssh://git@valami.tld/repository.git`

Itt le kell húzni az adatot a távoli repóból, célszerűen a módosított branch-et elég, valahogy így
`git fetch my_review/feature`
> Nem nyerő mindent lehúzkodni, mert több fork-nál például sok branch-ünk lehet és a helyfoglaláson túl még szemetelni is fog.

Most pedig diffelhető megint csak a két ág
`git diff origin/master my_review/feature > out.txt`

> Célszerű kiíratni fájlba az output-ot, hogy jobban át lehessen tekinteni.

Ha mi adjuk be a PR-t, akkor célszerű rebase-elni a szülő ágat, pl. main a munkaágra, hogy meglegyen a konfliktuskezelés plusz lekövessük a korábbi változásokat.
` git rebase main`
HA nincs conflict, akkor összefésülődnek a dolgok vidáman.

Utána git diff és mehet a rebase, mert itt már le van követve az eredeti változáslista.